Commit 31e7a81c authored by Jens Korinth's avatar Jens Korinth
Browse files

Fix bug in setup.sh: locate may not be available

parent d675e2be
Pipeline #85 failed with stage
in 2 minutes and 51 seconds
if which locate > /dev/null 2>&1; then
LIBMPFR=`locate -l1 libmpfr`
else
LIBMPFR=`find /usr -name 'libmpfr*so*' 2>/dev/null | head -1`
fi
if [ -n "$BASH_VERSION" ]; then
command -v xargs > /dev/null || { echo >&2 "ERROR: xargs program not available."; }
......@@ -19,14 +25,11 @@ fi
echo "TAPASCO_HOME=$TAPASCO_HOME"
export PATH=$TAPASCO_HOME/bin:$PATH
export MANPATH=$MANPATH:$TAPASCO_HOME/man
#if uname -a | grep -i ubuntu > /dev/null 2>&1; then
LIB=`locate -l 1 libmpfr`
if [[ $? -eq 0 ]]; then
export LD_PRELOAD=$LIB
echo "LD_PRELOAD=$LIB"
else
echo "WARNING: awk in Ubuntu Linux is incompatible with Vivado's old libmpfr.so" >&2
echo "This can be fixed by pre-loading a new libmpfr.so, but none was found in /usr/lib." >&2
echo "If you run into problems (awk: symbols not found), please install libmpfr."
fi
#fi
if [[ -n $LIBMPFR ]]; then
export LD_PRELOAD=$LIBMPFR
echo "LD_PRELOAD=$LIBMPFR"
else
echo "WARNING: awk in modern Linux is incompatible with Vivado's old libmpfr.so" >&2
echo "This can be fixed by pre-loading a new libmpfr.so, but none was found in /usr/lib." >&2
echo "If you run into problems (awk: symbols not found), please install libmpfr."
fi
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment